# 2.17 LED 模块API手册



## 前言

### 概述

本文档主要介绍machine模块下的LED类API。

### 读者对象

本文档（本指南）主要适用于以下人员：

- 技术支持工程师
- 软件开发工程师

### 缩略词定义

| 简称 | 说明                                 |
| ---- | ------------------------------------ |
| LED  | Light Emitting Diode （发光二极管） |

### 修订记录

| 文档版本号 | 修改说明 | 修改者 | 日期       |
| ---------- | -------- | ------ | ---------- |
| V1.0       | 初版     | 软件部 | 2024-08-29 |

## 1. 概述

开发板包含一个 LED 三原色灯珠，可通过API控制三原色的亮度。

## 2. API描述

LED类位于machine模块下

### 2.1 示例示例

```python
from machine import LED
import time

red_led = LED("LED_RED")          #或者red_led = LED(1)
green_led = LED("LED_GREEN")      #或者green_led = LED(2)
blue_led = LED("LED_BLUE")        ##或者blue_led = LED(3)
blue_led.off()
green_led.off()
red_led.off()

while(1):
    green_led.value(50)    #取值0-255
    red_led.on()
    time.sleep_ms(250)
    green_led.value(200)
    red_led.off()
    time.sleep_ms(250)
```

### 2.2 构造函数

```python
led = LED(id)
```

【参数】

- id： 1或"LED_RED"为红灯；2或"LED_GREEN"为绿灯；3或"LED_BLUE"为蓝灯。

### 2.3 value

```python
led.value(val)
```

控制LED的亮度

【参数】

- val：0~255级亮度

【返回值】

无

### 2.4 on

```python
led.on()
```

以最大亮度点亮LED

【参数】

无

【返回值】

无

### 2.5 off

```python
led.off()
```

熄灭LED

【参数】

无

【返回值】

无
